# yaml-language-server: $schema=../dist/scenario.schema.json
scenarios:
  - name: initieel

    document_datumtijd: 2024-04-03T00:00:00+00:00

    aangeleverd_door: "99000000000000000002"

    gebeurtenis_kenmerken:
      - 39952434680134800-1
      - 39952434680134800-2
      - 39952434680134800-3
      - 39952434680134800-4
      - 39952434680134800-5
      - 39952434680134800-6
      - 39952434680134800-7
      - 39952434680134800-8
      - 39952434680134800-9
      - 39952434680134800-10
      - 39952434680134800-11
      - 39952434680134800-12
      - 39952434680134800-13
      - 39952434680134800-14
      - 39952434680134800-15
      - 39952434680134800-16

    scenario_contact_optie:
      - zaakkenmerk: "39952434680134800"
        contact_opties:
          - contact_vorm: "telefoon"
            url: "tel:+31990000002"
            naam: "Telefoon"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 1

          - contact_vorm: "e_mail"
            url: "mailto:nio@mailtniet.nl?subject=NIO mailt nooit"
            naam: "E-mail"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 2

          - contact_vorm: "persoonlijke_website"
            url: "https://www.vorijk.nl/nio/mijn_nio.html"
            naam: "Mijn RMB"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 3

          - contact_vorm: "publieke_website"
            url: "https://www.vorijk.nl/nio/nio.html"
            naam: "Website"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 4

    scenario_beschikbaarheid:
      NIO_WET_FINANCIERING: BESCHIKBAAR
      NIO_WET_ABC_LENING: BESCHIKBAAR
      NIO_WET_ABC_ONTHEFFING: BESCHIKBAAR

    order: 1

  - name: achterstand

    document_datumtijd: 2024-04-04T00:00:00+00:00

    aangeleverd_door: "99000000000000000002"

    gebeurtenis_kenmerken:
      - 39952434680134800-1
      - 39952434680134800-2
      - 39952434680134800-3
      - 39952434680134800-4
      - 39952434680134800-5
      - 39952434680134800-6
      - 39952434680134800-7
      - 39952434680134800-8
      - 39952434680134800-9
      - 39952434680134800-10
      - 39952434680134800-11
      - 39952434680134800-12
      - 39952434680134800-13
      - 39952434680134800-14
      - 39952434680134800-15
      - 39952434680134800-16
      - 39952434680134800-17
      - 39952434680134800-18

    scenario_achterstanden:
      - zaakkenmerk: "39952434680134800"
        gebeurtenis_kenmerk: 39952434680134800-18

    scenario_contact_optie:
      - zaakkenmerk: "39952434680134800"
        contact_opties:
          - contact_vorm: "telefoon"
            url: "tel:+31990000002"
            naam: "Telefoon"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 1

          - contact_vorm: "e_mail"
            url: "mailto:nio@mailtniet.nl?subject=NIO mailt nooit"
            naam: "E-mail"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 2

          - contact_vorm: "persoonlijke_website"
            url: "https://www.vorijk.nl/nio/mijn_nio.html"
            naam: "Mijn RMB"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 3

          - contact_vorm: "publieke_website"
            url: "https://www.vorijk.nl/nio/nio.html"
            naam: "Website"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 4

    scenario_beschikbaarheid:
      NIO_WET_FINANCIERING: BESCHIKBAAR
      NIO_WET_ABC_LENING: BESCHIKBAAR
      NIO_WET_ABC_ONTHEFFING: BESCHIKBAAR

    order: 2

  - name: achterstand_betaald

    document_datumtijd: 2024-04-06T00:00:00+00:00

    aangeleverd_door: "99000000000000000002"
    gebeurtenis_kenmerken:
      - 39952434680134800-1
      - 39952434680134800-2
      - 39952434680134800-3
      - 39952434680134800-4
      - 39952434680134800-5
      - 39952434680134800-6
      - 39952434680134800-7
      - 39952434680134800-8
      - 39952434680134800-9
      - 39952434680134800-10
      - 39952434680134800-11
      - 39952434680134800-12
      - 39952434680134800-13
      - 39952434680134800-14
      - 39952434680134800-15
      - 39952434680134800-16
      - 39952434680134800-17
      - 39952434680134800-18
      - 39952434680134800-19

    scenario_contact_optie:
      - zaakkenmerk: "39952434680134800"
        contact_opties:
          - contact_vorm: "telefoon"
            url: "tel:+31990000002"
            naam: "Telefoon"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 1

          - contact_vorm: "e_mail"
            url: "mailto:nio@mailtniet.nl?subject=NIO mailt nooit"
            naam: "E-mail"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 2

          - contact_vorm: "persoonlijke_website"
            url: "https://www.vorijk.nl/nio/mijn_nio.html"
            naam: "Mijn RMB"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 3

          - contact_vorm: "publieke_website"
            url: "https://www.vorijk.nl/nio/nio.html"
            naam: "Website"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 4

    scenario_beschikbaarheid:
      NIO_WET_FINANCIERING: BESCHIKBAAR
      NIO_WET_ABC_LENING: BESCHIKBAAR
      NIO_WET_ABC_ONTHEFFING: BESCHIKBAAR

    order: 3

gebeurtenissen:
  - gebeurtenis_type: FinancieleVerplichtingOpgelegd
    gebeurtenis_kenmerk: 39952434680134800-1
    datumtijd_gebeurtenis: 2019-01-01T10:25:01+00:00
    datumtijd_opgelegd: 2019-01-01T10:25:00+00:00
    zaakkenmerk: "39952434680134800"
    beschikkingsnummer: 39952434680134800-123
    bsn: "814859094"
    primaire_verplichting: true
    type: NIO_WET_FINANCIERING
    categorie: Algemeen
    bedrag: 300000
    omschrijving: "Leningdeel 1"
    juridische_grondslag_omschrijving: Wet financiering
    juridische_grondslag_bron: https://wetten.overheid.nl/jci1.3:c:BWBR0011453&hoofdstuk=6&z=2024-01-01&g=2024-01-01
    opgelegd_door: "99000000000000000002"
    uitgevoerd_door: "99000000000000000002"
  - gebeurtenis_type: FinancieleVerplichtingOpgelegd
    gebeurtenis_kenmerk: 39952434680134800-2
    datumtijd_gebeurtenis: 2020-01-01T10:25:02+00:00
    datumtijd_opgelegd: 2020-01-01T10:25:00+00:00
    zaakkenmerk: "39952434680134800"
    beschikkingsnummer: 39952434680134800-123
    bsn: "814859094"
    primaire_verplichting: false
    type: NIO_WET_FINANCIERING
    categorie: Algemeen
    bedrag: 300000
    omschrijving: "Leningdeel 2"
    juridische_grondslag_omschrijving: Wet financiering
    juridische_grondslag_bron: https://wetten.overheid.nl/jci1.3:c:BWBR0011453&hoofdstuk=6&z=2024-01-01&g=2024-01-01
    opgelegd_door: "99000000000000000002"
    uitgevoerd_door: "99000000000000000002"
  - gebeurtenis_type: FinancieleVerplichtingOpgelegd
    gebeurtenis_kenmerk: 39952434680134800-3
    datumtijd_gebeurtenis: 2021-01-01T10:25:03+00:00
    datumtijd_opgelegd: 2021-01-01T10:25:00+00:00
    zaakkenmerk: "39952434680134800"
    beschikkingsnummer: 39952434680134800-123
    bsn: "814859094"
    primaire_verplichting: false
    type: NIO_WET_FINANCIERING
    categorie: Algemeen
    bedrag: 300000
    omschrijving: "Leningdeel 3"
    juridische_grondslag_omschrijving: Wet financiering
    juridische_grondslag_bron: https://wetten.overheid.nl/jci1.3:c:BWBR0011453&hoofdstuk=6&z=2024-01-01&g=2024-01-01
    opgelegd_door: "99000000000000000002"
    uitgevoerd_door: "99000000000000000002"
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: 39952434680134800-4
    datumtijd_gebeurtenis: 2024-02-01T10:25:04+00:00
    datumtijd_opgelegd: 2024-02-01T00:00:00+00:00
    zaakkenmerk: "39952434680134800"
    omschrijving: "Termijn januari 2024"
    bsn: "814859094"
    bedrag: 15000
    betaalwijze: "Automatische incasso"
    type: Aanschrijving
    te_betalen_aan: "99000000000000000002"
    rekeningnummer: "GB33BUKB20201555555555"
    rekeningnummer_tenaamstelling: "Nederlands Instituut voor Onderwijs [Fictief]"
    betalingskenmerk: "39952434680134800"
    vervaldatum: 2024-11-22T00:00:00+00:00
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: 39952434680134800-5
    datumtijd_gebeurtenis: 2024-02-01T10:25:05+00:00
    datumtijd_opgelegd: 2024-02-01T00:00:00+00:00
    zaakkenmerk: "39952434680134800"
    omschrijving: "Termijn februari 2024"
    bsn: "814859094"
    bedrag: 15000
    betaalwijze: "Automatische incasso"
    type: Aanschrijving
    te_betalen_aan: "99000000000000000002"
    rekeningnummer: "GB33BUKB20201555555555"
    rekeningnummer_tenaamstelling: "Nederlands Instituut voor Onderwijs [Fictief]"
    betalingskenmerk: "39952434680134800"
    vervaldatum: 2024-10-22T00:00:00+00:00
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: 39952434680134800-6
    datumtijd_gebeurtenis: 2024-02-01T10:25:06+00:00
    datumtijd_opgelegd: 2024-02-01T00:00:00+00:00
    zaakkenmerk: "39952434680134800"
    omschrijving: "Termijn maart 2024"
    bsn: "814859094"
    bedrag: 15000
    betaalwijze: "Automatische incasso"
    type: Aanschrijving
    te_betalen_aan: "99000000000000000002"
    rekeningnummer: "GB33BUKB20201555555555"
    rekeningnummer_tenaamstelling: "Nederlands Instituut voor Onderwijs [Fictief]"
    betalingskenmerk: "39952434680134800"
    vervaldatum: 2024-11-22T00:00:00+00:00
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: 39952434680134800-7
    datumtijd_gebeurtenis: 2024-02-01T10:25:07+00:00
    datumtijd_opgelegd: 2024-02-01T00:00:00+00:00
    zaakkenmerk: "39952434680134800"
    omschrijving: "Termijn april 2024"
    bsn: "814859094"
    bedrag: 15000
    betaalwijze: "Automatische incasso"
    type: Aanschrijving
    te_betalen_aan: "99000000000000000002"
    rekeningnummer: "GB33BUKB20201555555555"
    rekeningnummer_tenaamstelling: "Nederlands Instituut voor Onderwijs [Fictief]"
    betalingskenmerk: "39952434680134800"
    vervaldatum: 2024-04-22T00:00:00+00:00
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: 39952434680134800-8
    datumtijd_gebeurtenis: 2024-02-01T10:25:08+00:00
    datumtijd_opgelegd: 2024-02-01T00:00:00+00:00
    zaakkenmerk: "39952434680134800"
    omschrijving: "Termijn mei 2024"
    bsn: "814859094"
    bedrag: 15000
    betaalwijze: "Automatische incasso"
    type: Aanschrijving
    te_betalen_aan: "99000000000000000002"
    rekeningnummer: "GB33BUKB20201555555555"
    rekeningnummer_tenaamstelling: "Nederlands Instituut voor Onderwijs [Fictief]"
    betalingskenmerk: "39952434680134800"
    vervaldatum: 2024-05-22T00:00:00+00:00
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: 39952434680134800-9
    datumtijd_gebeurtenis: 2024-02-01T10:25:09+00:00
    datumtijd_opgelegd: 2024-02-01T00:00:00+00:00
    zaakkenmerk: "39952434680134800"
    omschrijving: "Termijn juni 2024"
    bsn: "814859094"
    bedrag: 15000
    betaalwijze: "Automatische incasso"
    type: Aanschrijving
    te_betalen_aan: "99000000000000000002"
    rekeningnummer: "GB33BUKB20201555555555"
    rekeningnummer_tenaamstelling: "Nederlands Instituut voor Onderwijs [Fictief]"
    betalingskenmerk: "39952434680134800"
    vervaldatum: 2024-06-22T00:00:00+00:00
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: 39952434680134800-10
    datumtijd_gebeurtenis: 2024-02-01T10:25:10+00:00
    datumtijd_opgelegd: 2024-02-01T00:00:00+00:00
    zaakkenmerk: "39952434680134800"
    omschrijving: "Termijn juli 2024"
    bsn: "814859094"
    bedrag: 15000
    betaalwijze: "Automatische incasso"
    type: Aanschrijving
    te_betalen_aan: "99000000000000000002"
    rekeningnummer: "GB33BUKB20201555555555"
    rekeningnummer_tenaamstelling: "Nederlands Instituut voor Onderwijs [Fictief]"
    betalingskenmerk: "39952434680134800"
    vervaldatum: 2024-07-22T00:00:00+00:00
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: 39952434680134800-11
    datumtijd_gebeurtenis: 2024-02-01T10:25:11+00:00
    datumtijd_opgelegd: 2024-02-01T00:00:00+00:00
    zaakkenmerk: "39952434680134800"
    omschrijving: "Termijn augustus 2024"
    bsn: "814859094"
    bedrag: 15000
    betaalwijze: "Automatische incasso"
    type: Aanschrijving
    te_betalen_aan: "99000000000000000002"
    rekeningnummer: "GB33BUKB20201555555555"
    rekeningnummer_tenaamstelling: "Nederlands Instituut voor Onderwijs [Fictief]"
    betalingskenmerk: "39952434680134800"
    vervaldatum: 2024-08-22T00:00:00+00:00
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: 39952434680134800-12
    datumtijd_gebeurtenis: 2024-02-01T10:25:12+00:00
    datumtijd_opgelegd: 2024-02-01T00:00:00+00:00
    zaakkenmerk: "39952434680134800"
    omschrijving: "Termijn september 2024"
    bsn: "814859094"
    bedrag: 15000
    betaalwijze: "Automatische incasso"
    type: Aanschrijving
    te_betalen_aan: "99000000000000000002"
    rekeningnummer: "GB33BUKB20201555555555"
    rekeningnummer_tenaamstelling: "Nederlands Instituut voor Onderwijs [Fictief]"
    betalingskenmerk: "39952434680134800"
    vervaldatum: 2024-09-22T00:00:00+00:00
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: 39952434680134800-13
    datumtijd_gebeurtenis: 2024-02-01T10:25:13+00:00
    datumtijd_opgelegd: 2024-02-01T00:00:00+00:00
    zaakkenmerk: "39952434680134800"
    omschrijving: "Termijn oktober 2024"
    bsn: "814859094"
    bedrag: 15000
    betaalwijze: "Automatische incasso"
    type: Aanschrijving
    te_betalen_aan: "99000000000000000002"
    rekeningnummer: "GB33BUKB20201555555555"
    rekeningnummer_tenaamstelling: "Nederlands Instituut voor Onderwijs [Fictief]"
    betalingskenmerk: "39952434680134800"
    vervaldatum: 2024-10-22T00:00:00+00:00
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: 39952434680134800-14
    datumtijd_gebeurtenis: 2024-02-01T10:25:14+00:00
    datumtijd_opgelegd: 2024-02-01T00:00:00+00:00
    zaakkenmerk: "39952434680134800"
    omschrijving: "Termijn november 2024"
    bsn: "814859094"
    bedrag: 15000
    betaalwijze: "Automatische incasso"
    type: Aanschrijving
    te_betalen_aan: "99000000000000000002"
    rekeningnummer: "GB33BUKB20201555555555"
    rekeningnummer_tenaamstelling: "Nederlands Instituut voor Onderwijs [Fictief]"
    betalingskenmerk: "39952434680134800"
    vervaldatum: 2024-11-22T00:00:00+00:00
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: 39952434680134800-15
    datumtijd_gebeurtenis: 2024-02-01T10:25:15+00:00
    datumtijd_opgelegd: 2024-02-01T00:00:00+00:00
    zaakkenmerk: "39952434680134800"
    omschrijving: "Termijn december 2024"
    bsn: "814859094"
    bedrag: 15000
    betaalwijze: "Automatische incasso"
    type: Aanschrijving
    te_betalen_aan: "99000000000000000002"
    rekeningnummer: "GB33BUKB20201555555555"
    rekeningnummer_tenaamstelling: "Nederlands Instituut voor Onderwijs [Fictief]"
    betalingskenmerk: "39952434680134800"
    vervaldatum: 2024-12-22T00:00:00+00:00
  - gebeurtenis_type: BetalingVerwerkt
    gebeurtenis_kenmerk: 39952434680134800-16
    datumtijd_gebeurtenis: 2024-01-22T10:25:16+00:00
    betalingskenmerk: "39952434680134800"
    datumtijd_verwerkt: 2024-01-22T00:00:00+00:00
    datumtijd_ontvangen: 2024-01-22T00:00:00+00:00
    ontvangen_door: "99000000000000000002"
    verwerkt_door: "99000000000000000002"
    bedrag: 15000
  - gebeurtenis_type: BetalingsverplichtingIngetrokken
    gebeurtenis_kenmerk: 39952434680134800-17
    datumtijd_gebeurtenis: 2024-02-23T10:25:17+00:00
    ingetrokken_gebeurtenis_kenmerk: 39952434680134800-5
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: 39952434680134800-18
    datumtijd_gebeurtenis: 2024-02-23T10:25:18+00:00
    datumtijd_opgelegd: 2024-02-23T00:00:00+00:00
    zaakkenmerk: "39952434680134800"
    omschrijving: "LET OP: Termijn februari 2024"
    bsn: "814859094"
    bedrag: 15000
    betaalwijze: Handmatig
    type: Herinnering
    te_betalen_aan: "99000000000000000002"
    rekeningnummer: "GB33BUKB20201555555555"
    rekeningnummer_tenaamstelling: "Nederlands Instituut voor Onderwijs [Fictief]"
    betalingskenmerk: "39952434680134800"
    vervaldatum: 2024-03-08T00:00:00+00:00
  - gebeurtenis_type: BetalingVerwerkt
    gebeurtenis_kenmerk: 39952434680134800-19
    datumtijd_gebeurtenis: 2024-02-27T10:25:19+00:00
    betalingskenmerk: "39952434680134800"
    datumtijd_verwerkt: 2024-02-27T00:00:00+00:00
    datumtijd_ontvangen: 2024-02-26T00:00:00+00:00
    ontvangen_door: "99000000000000000002"
    verwerkt_door: "99000000000000000002"
    bedrag: 15000
